summaryrefslogtreecommitdiffstats
path: root/contrib/pacscripts.in
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/pacscripts.in')
-rwxr-xr-xcontrib/pacscripts.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/contrib/pacscripts.in b/contrib/pacscripts.in
index d3664091..37d3feae 100755
--- a/contrib/pacscripts.in
+++ b/contrib/pacscripts.in
@@ -1,4 +1,4 @@
-#!@BASH_SHELL@
+#!/bin/bash
#
# pacscripts : tries to print out the {pre,post}_{install,remove,upgrade}
# scripts of a given package
@@ -61,7 +61,7 @@ spacman() {
if [ $EUID -eq 0 ]; then
pacman "$@"
else
- if [ ! "$(type -p sudo)" ]; then
+ if ! type -p sudo; then
error "Cannot find the sudo binary! Is sudo installed?"
error "Otherwise try to run the program as root"
exit 1